@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&display=swap');

*{
    margin: 0;
    padding: 0;
}

html {
  font-size: clamp(15px, 1.2vw, 18px);
}

/* Phones (max ~480px) */
@media (max-width: 480px) {
  html {
    font-size: 14px; /* lock it so it's not tiny */
  }
}

/* Small tablets (~481pxâ€“768px) */
@media (min-width: 481px) and (max-width: 768px) {
  html {
    font-size: 18px;
  }
}

/* Large tablets / small laptops (~769pxâ€“1024px) */
@media (min-width: 769px) and (max-width: 1024px) {
  html {
    font-size: 18px;
  }
}

/* Desktops (~1025pxâ€“1440px) */
@media (min-width: 1025px) and (max-width: 1440px) {
  html {
    font-size: 18px;
  }
}

/* Big monitors (1441px+) */
@media (min-width: 1441px) {
  html {
    font-size: 18px; /* slightly larger */
  }
}

:root {
  --fs-xs: 0.75rem;  /* ~10â€“13px */
  --fs-sm: 0.875rem; /* ~12â€“15px */
  --fs-md: 1rem;     /* ~14â€“18px */
  --fs-lg: 1.25rem;  /* ~18â€“22px */
  --fs-xl: 1.5rem;   /* ~21â€“27px */
  --fs-2xl: 2rem;    /* ~28â€“36px */
  --fs-3xl: 3rem;    /* ~42â€“54px */
  --fs-4xl: 4rem;
}

::selection{
    background-color: rgb(117, 34, 34) !important;
}
*::-webkit-selection{
    background-color: rgb(117, 34, 34) !important;
}

body{
    background: black;
    overflow: hidden;
}

main{
    height: 100vh;
    height: 100dvh;
    display: flex;
    flex-direction: column;
}

main div{
    margin: auto;
    display: flex;
    flex-direction: column;
}

h1{
    font-family: "Archivo Black", sans-serif;
    font-weight: 400;
    font-style: normal;
    display: inline-block; 
    transform: scale(1.5,1); 
    transform-origin: center;
    margin: auto;
    font-size: var(--fs-lg);
    color: rgb(238, 230, 208);
    z-index: 2;
}

h2{
    font-family: "Archivo Black", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 10px;
    display: inline-block; 
    transform: scale(1.5,1); 
    transform-origin: center;
    color: rgb(238, 230, 208);
    margin: auto;
}

.stage {
  position: fixed;
  top:0;
  z-index: 1;
  width: 100vw;
  height: 100vh;
  user-select: none;
  -webkit-user-select: none;
  -webkit-touch-callout: none;
  touch-action: none;
}

.chaos-img {
  position: fixed;
  width: 130px;
  opacity: 15%;
  object-fit: contain;
  pointer-events: none;
  display: none;
  z-index: 9999;
  will-change: transform, left, top;
}


